Bug 523942 - Patch: Port psi to enchant instead of aspell
Summary: Patch: Port psi to enchant instead of aspell
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: psi
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 10:06 UTC by Caolan McNamara
Modified: 2009-11-29 23:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-29 23:23:39 UTC


Attachments (Terms of Use)
port psi to enchant (10.73 KB, patch)
2009-09-17 10:06 UTC, Caolan McNamara
no flags Details | Diff

Description Caolan McNamara 2009-09-17 10:06:11 UTC
Created attachment 361472 [details]
port psi to enchant

Description of problem:
As described at http://fedoraproject.org/wiki/Releases/FeatureDictionary
For some time we've been unifying our dictionary support. To further that process attached is a patch to port psi from aspell to enchant. 

(I've emailed this to an upstream developer, but haven't been able to log it to http://forum.psi-im.org/forum.php?req=register as the veriword for a new account is broken, if you already have any account and are able to log this formally against their bug forum with an existing account that'd be appreciated)

Comment 1 Bug Zapper 2009-11-16 12:33:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Sven Lankes 2009-11-29 23:23:39 UTC
Your patch is included in the upcoming 0.14 release of psi. The rc3 of the patch is in rawhide as of today and spellchecking using enchant works.

I'm closing this bug.

As soon as 0.14 is released, it'll be built for F12.


Note You need to log in before you can comment on or make changes to this bug.